Package org.eclipse.emf.cdo.common.commit.handler

# Class AsyncCommitInfoHandler

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.net4j.util.lifecycle.Lifecycle
org.eclipse.net4j.util.concurrent.Worker
org.eclipse.net4j.util.concurrent.QueueWorker<CDOCommitInfo>
org.eclipse.emf.cdo.common.commit.handler.AsyncCommitInfoHandler

All Implemented Interfaces:
  `CDOCommitInfoHandler`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

public class AsyncCommitInfoHandler extends org.eclipse.net4j.util.concurrent.QueueWorker<CDOCommitInfo> implements CDOCommitInfoHandler
A `commit info handler` that asynchronously delegates `commit infos` to another handler.

Since:
  4.0
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.concurrent.Worker

`org.eclipse.net4j.util.concurrent.Worker.Terminate, org.eclipse.net4j.util.concurrent.Worker.WorkContext`

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.event.Notifier

`org.eclipse.net4j.util.event.Notifier.Cancelation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.concurrent.QueueWorker

`DEFAULT_POLL_MILLIS`

### Fields inherited from class org.eclipse.net4j.util.concurrent.Worker

`DEFAULT_ERROR_HANDLER, DEFAULT_TIMEOUT`

### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`USE_LABEL`

## Constructor Summary

Constructors
Constructor
Description
`AsyncCommitInfoHandler(CDOCommitInfoHandler delegate)`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`doRemainingWorkBeforeDeactivate()`
`protected String`
`getThreadName()`
`void`
`handleCommitInfo(CDOCommitInfo commitInfo)`
`protected void`
`work(org.eclipse.net4j.util.concurrent.Worker.WorkContext context, CDOCommitInfo commitInfo)`

### Methods inherited from class org.eclipse.net4j.util.concurrent.QueueWorker

`addWork, clearQueue, createQueue, doDeactivate, getPollMillis, noWork, setPollMillis, work`

### Methods inherited from class org.eclipse.net4j.util.concurrent.Worker

`doActivate, getActivationTimeout, getDeactivationTimeout, getGlobalErrorHandler, getWorkerThread, handleError, isDaemon, setActivationTimeout, setDaemon, setDeactivationTimeout, setGlobalErrorHandler`

### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doAfterActivate, doBeforeActivate, doBeforeDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Constructor Details

### AsyncCommitInfoHandler

public AsyncCommitInfoHandler(CDOCommitInfoHandler delegate)

## Method Details

### handleCommitInfo

public void handleCommitInfo(CDOCommitInfo commitInfo)

Specified by:
  `handleCommitInfo` in interface `CDOCommitInfoHandler`

### work

protected void work(org.eclipse.net4j.util.concurrent.Worker.WorkContext context, CDOCommitInfo commitInfo)

Specified by:
  `work` in class `org.eclipse.net4j.util.concurrent.QueueWorker<CDOCommitInfo>`

### doRemainingWorkBeforeDeactivate

protected boolean doRemainingWorkBeforeDeactivate()

Overrides:
  `doRemainingWorkBeforeDeactivate` in class `org.eclipse.net4j.util.concurrent.QueueWorker<CDOCommitInfo>`

### getThreadName

protected String getThreadName()

Overrides:
  `getThreadName` in class `org.eclipse.net4j.util.concurrent.Worker`